-- #304
CREATE TABLE integerattribute (
     objectid             integer  not null
,    attributeid          integer  not null
,    value                integer  not null

,   constraint pk_integerattribute              primary key (objectid,attributeid)
,   constraint fk_integerattribute_objectid     foreign key (objectid)
        references object                           (objectid)
,   constraint fk_integerattribute_attributeid  foreign key (attributeid)
        references attribute                        (attributeid)
)
GO
CREATE INDEX i_integerattribute_aid ON integerattribute (attributeid)
GO

