-- #301
CREATE TABLE booleanattribute (
     objectid             integer  not null
,    attributeid          integer  not null
,    value                tinyint  not null

,   constraint pk_booleanattribute              primary key (objectid,attributeid)
,   constraint fk_booleanattribute_objectid     foreign key (objectid)
        references object                           (objectid)
,   constraint fk_booleanattribute_attributeid  foreign key (attributeid)
        references attribute                        (attributeid)
)
GO
CREATE INDEX i_booleanattribute_aid ON booleanattribute (attributeid)
GO

