-- #302
CREATE TABLE datetimeattribute (
     objectid             integer  not null
,    attributeid          integer  not null
,    value                datetime  not null

,   constraint pk_datetimeattribute             primary key (objectid,attributeid)
,   constraint fk_datetimeattribute_objectid    foreign key (objectid)
        references object                           (objectid)
,   constraint fk_datetimeattribute_attributeid foreign key (attributeid)
        references attribute                        (attributeid)
)
GO
CREATE INDEX i_datetimeattribute_aid ON datetimeattribute (attributeid)
GO

